
CoCoA-5 - Bug #1189

HilbertBasisKer: unhelpful error with some inputs

19 Jun 2018 11:25 - John Abbott

Status: Closed Start date: 19 Jun 2018

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 2.51 hours

Target version: CoCoA-5.2.4 Spent time: 1.90 hour

Description

HilbertBasisKer gives an unhelpful error sometimes:

M:=ColMat([-2,-5]);

HilbertBasisKer(M);

--> ERROR: Cannot index an empty list

--> WHERE: at line 673 (column 23) of misc.cpkg5

-->   FromRing := owner(L[1]);

-->                       ^

Related issues:

Related to CoCoA-5 - Design #1194: Rename HilbertBasisKer into LinKerHilbertB... Rejected 25 Jun 2018

History

#1 - 19 Jun 2018 11:27 - John Abbott

High priority because it's embarassing, but hopefully easy to fix.

#2 - 25 Jun 2018 09:47 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 80

Result is the empty list for such an input.  Fixed.

#3 - 25 Jun 2018 11:26 - Anna Maria Bigatti

- Related to Design #1194: Rename HilbertBasisKer into LinKerHilbertBasis? added

#4 - 25 Jun 2018 11:34 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 80 to 90

- Estimated time set to 2.51 h

Checked in.

#5 - 30 Jul 2018 14:17 - John Abbott

- Description updated

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing
